Skip to main content
GET
Get a subscription

Authorizations

Authorization
string
header
required

JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.

Headers

X-Trace-Version
string

API version. Omit to use the default version.

Example:

"1"

Path Parameters

subscriptionId
string<uuid>
required

UUID of the subscription.

Response

Subscription details.

A webhook subscription that delivers events from one or more resources to a customer-controlled URL.

id
string<uuid>
required
read-only
Example:

"8a13c6a4-1a3d-4f49-ad62-9dca8c47e2c6"

companyId
string
required

Company identifier that owns the subscription.

Example:

"11111111-1111-1111-1111-111111111111"

url
string<uri>
required
Example:

"https://api.example.com/trace-webhooks"

resources
object[]
required

Resources and event types this subscription delivers.

allowRetry
boolean
required

Whether failed deliveries are retried.

Example:

true

createdAt
string<date-time>
required
read-only
Example:

"2026-04-28T14:32:11Z"

updatedAt
string<date-time>
required
read-only
Example:

"2026-04-28T14:32:11Z"